| Home | Libraries | People | FAQ | More

## Struct template on_total_absorbable<Type, true, false>

boost::icl::interval_base_map::on_total_absorbable<Type, true, false>

## Synopsis

    // In header: <boost/icl/interval_base_map.hpp>

    template<typename Type>
    struct on_total_absorbable<Type, true, false> {
      // types
      typedef Type::segment_type  segment_type;
      typedef Type::codomain_type codomain_type;

      // public static functions
      static void flip(Type &, const segment_type &);
    };

## Description

### `on_total_absorbable` public static functions

1.     static void flip(Type & object, const segment_type & operand);